% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getVectorIndex.R
\name{getVectorIndex}
\alias{getVectorIndex}
\title{Get Vector Index}
\usage{
getVectorIndex(
  collections,
  pools,
  interval,
  target_disease,
  pt_estimate,
  scale = 1000,
  species_list = NULL,
  trap_list = NULL
)
}
\arguments{
\item{collections}{Collections data retrieved from `getArthroCollections()`}

\item{pools}{Pools data retrieved from `getPools()`}

\item{interval}{Calculation interval for vector index, accepts “collection_date”,“Biweek”,“Week”, and “Month}

\item{target_disease}{The disease to calculate infection rate for–i.e. “WNV”. Disease acronyms are the accepted input. To see a list of disease acronyms, run `unique(pools$target_acronym)`}

\item{pt_estimate}{The estimation type for infection rate. Options include: “mle”,“bc-”mle”, “mir”}

\item{scale}{Constant to multiply infection rate}

\item{species_list}{Species filter for calculating abundance. Species_display_name is the accepted notation. To see a list of species present in your data run `unique(pools$species_display_name)`. If species is unspecified, the default `NULL` will return data for all species in data.}

\item{trap_list}{Trap filter for calculating abundance. Trap_acronym is the is the accepted notation. Run `unique(pools$trap_acronym)` to see trap types present in your data. If trap_list is unspecified, the default `NULL` will return data for all trap types.}
}
\value{
Vector index calculation
}
\description{
`getVectorIndex()`requires at least five years prior to the target_year of arthro collections data to calculate for the specified parameters. The function uses the methods of the Gateway Abundance Anomaly calculator, and will not work if there is fewer than five years of data present.
}
\examples{
getVectorIndex(sample_collections, sample_pools, "Month", "WNV", "mle" )
}
